# nodejs-18-alpine 이미지를 기반으로 사용 (가볍고 효율적)
FROM node:20-alpine

# 컨테이너의 작업 디렉터리를 설정
WORKDIR /app

# package.json과 package-lock.json을 복사
COPY package*.json ./

# 의존성 설치
RUN npm install

# 모든 소스 파일을 컨테이너로 복사
COPY . .

# 개발 환경 실행 명령 (이 명령은 docker-compose.yml에서 덮어쓸 것임)
CMD ["npm", "run", "dev"]